{{page-title @model.name " | " (capitalize (t "edit-label"))}}

{{#if @model}}
  <Manage::Container @title={{capitalize (t "edit-model.title" name=@model.name)}} @breadcrumbs={{this.breadcrumbs}}>
    <:content>
      <Manage::Row @name="name">
        <h5 class="capitalize-first-letter">{{t "name"}}</h5>
        {{! template-lint-disable require-input-label }}
        <Input @value={{@model.name}} class="form-control" placeholder={{t "What is the language name?"}} />
      </Manage::Row>

      <Manage::Row @name="locale">
        <h5 class="capitalize-first-letter">{{t "locale"}}</h5>
        {{! template-lint-disable require-input-label }}
        <Input @value={{@model.locale}} class="form-control" placeholder={{t "What is language locale?"}} />
      </Manage::Row>

      <Manage::Row @name="file">
        <h5 class="capitalize-first-letter">{{t "file"}}</h5>
        <Input::File @onBaseUrlContentChange={{this.parseFile}} />
      </Manage::Row>

      <Manage::Row @name="custom-translations">
        <h5 class="capitalize-first-letter">{{t "custom translations"}}</h5>
        <Input::StringHash @value={{@model.customTranslations}} @onChange={{this.onChangeCustomTranslations}} />
      </Manage::Row>

      <Manage::Row @name="submit">
        <button type="button" class="btn btn-primary btn-submit {{if (or @model.isSaving this.isInvalid) 'disabled'}}" {{on "click" this.save}} disabled={{or @model.isSaving this.isInvalid}}>
          {{#if @model.isSaving}}
            <FaIcon @icon="spinner" @spin={{true}} />
          {{/if}}

          <span class="capitalize-first-letter">
            {{t "save"}}
          </span>
        </button>
      </Manage::Row>
    </:content>
  </Manage::Container>
{{/if}}